Package org.springframework.context.annotation

# Enum Class AdviceMode

java.lang.Object
java.lang.Enum<AdviceMode>
org.springframework.context.annotation.AdviceMode

All Implemented Interfaces:
  `Serializable`, `Comparable<AdviceMode>`, `Constable`

public enum AdviceMode extends Enum<AdviceMode>
Enumeration used to determine whether JDK proxy-based or AspectJ weaving-based advice should be applied.

Since:
  3.1
Author:
  Chris Beams
See Also:
  - `EnableAsync.mode()`
  - `AsyncConfigurationSelector.selectImports(org.springframework.context.annotation.AdviceMode)`
  - `org.springframework.transaction.annotation.EnableTransactionManagement#mode()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ASPECTJ`
AspectJ weaving-based advice.
`PROXY`
JDK proxy-based advice.

## Method Summary

Modifier and Type
Method
Description
`static AdviceMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AdviceMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PROXY

public static final AdviceMode PROXY
JDK proxy-based advice.

### ASPECTJ

public static final AdviceMode ASPECTJ
AspectJ weaving-based advice.

## Method Details

### values

public static AdviceMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AdviceMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null